Platform

Platform

Public health check and API key context (environment, actor, scopes).

Check API status

GET /v1/ping
Authorization: None
No authentication required.
Request body

None

Response
data object
pong boolean
Example: 1
surface string
Enum
extern
version string
Example: v1
meta object

Examples

GET /v1/ping
curl -X GET "https://api.appficient.nl/v1/ping" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.

Test API connectivity

POST /v1/ping
Authorization: None
No authentication required.
Request body

None

Response
data object
pong boolean
Example: 1
surface string
Enum
extern
version string
Example: v1
meta object

Examples

POST /v1/ping
curl -X POST "https://api.appficient.nl/v1/ping" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.

Retrieve API key details

GET /v1/me
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Request body

None

Response
data object

No env_id / actor.id in response.

surface string
Enum
extern
actor object
type string

On External `/v1` Bearer auth this is typically `api_key`.

Enum
api_key user link subscription_token none
label string
scopes array
meta object

Examples

GET /v1/me
curl -X GET "https://api.appficient.nl/v1/me" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.